class Admin::BansController < ApplicationController
  before_filter :get_user, :except => [:show, :edit, :destroy]

  def get_user
    @user = User.find params[:user_id]
  end

  def index
    @bans = @user.bans
  end
  
  def show
    @ban = Ban.find(params[:id])
  end
  
  def new
    @ban = Ban.new
  end
  
  def create
    authorize! :create, Ban
    @ban = Ban.new(params[:ban])
    @ban.owner = current_user
    @ban.user = @user
    if @ban.save
      flash[:notice] = "Usuário banido com sucesso."
      redirect_to admin_ban_path(@ban)
    else
      render :action => 'new'
    end
  end
  
  def edit
    @ban = Ban.find(params[:id])
    @user = @ban.user
  end
  
	def update
    authorize! :update, Ban
    @ban = Ban.find(params[:id])
    if @ban.update_attributes(params[:ban])
      flash[:notice] = ""
      redirect_to admin_ban_path(@ban)
    else
      render :action => 'edit'
    end
  end
  
  def destroy
    authorize! :destroy, Ban
    @ban = Ban.find(params[:id])
    @ban.destroy
    @ban.user.is_banned?
    flash[:notice] = "Usuário desbanido."
    redirect_to admin_user_url(@ban.user)
  end
end
