class Admin::ForumCategoriesController < AdministrationController
  def index
    @forum_categories = ForumCategory.all
  end
  
  def show
    @forum_category = ForumCategory.find(params[:id])
  end
  
  def new
    @forum_category = ForumCategory.new
  end
  
  def create
    authorize! :create, ForumCategory
    @forum_category = ForumCategory.new(params[:forum_category])
    if @forum_category.save
      flash[:notice] = "Categoria de fórum criada com sucesso."
      redirect_to [ :admin, @forum_category ]
    else
      render :action => 'new'
    end
  end
  
  def edit
    @forum_category = ForumCategory.find(params[:id])
  end
  
	def update
    authorize! :update, ForumCategory
    @forum_category = ForumCategory.find(params[:id])
    if @forum_category.update_attributes(params[:forum_category])
      flash[:notice] = "Categoria de fórum editada com sucesso."
      redirect_to [ :admin, @forum_category ]
    else
      render :action => 'edit'
    end
  end
  
  def destroy
    authorize! :destroy, ForumCategory
    @forum_category = ForumCategory.find(params[:id])
    @forum_category.destroy
    flash[:notice] = "Categoria de fórum excluida com sucesso."
    redirect_to admin_forum_categories_url
  end
end
