class Admin::ForumsController < AdministrationController
  def index
    @forums = Forum.all
  end
  
  def show
    @forum = Forum.find(params[:id])
  end
  
  def new
    @forum = Forum.new
  end
  
  def create
    authorize! :create, Forum
    @forum = Forum.new(params[:forum])
    if @forum.save
      flash[:notice] = "Fórum criado com sucesso."
      redirect_to [ :admin, @forum ]
    else
      render :action => 'new'
    end
  end
  
  def edit
    @forum = Forum.find(params[:id])
  end
  
	def update
    authorize! :update, Forum
    @forum = Forum.find(params[:id])
    if @forum.update_attributes(params[:forum])
      flash[:notice] = "Fórum editado com sucesso."
      redirect_to [ :admin, @forum ]
    else
      render :action => 'edit'
    end
  end
  
  def destroy
    authorize! :destroy, Forum
    @forum = Forum.find(params[:id])
    @forum.destroy
    flash[:notice] = "Fórum excluído com sucesso."
    redirect_to admin_forums_url
  end
end
