class Admin::ImagesController < AdministrationController
  before_filter :get_item, :except => [:destroy, :index, :show]
  def index
    @images = Image.all
  end
  
  def show
    @image = Image.find(params[:id])
  end
  
  def new
    @image = Image.new
  end
  
  def create
    @image = Image.new(params[:image])
    @image.item = @item
    if @image.save
      flash[:notice] = "Successfully created image."
      redirect_to [ :admin, @image ]
    else
      render :action => 'new'
    end
  end
  
  def edit
    @image = Image.find(params[:id])
  end
  
	def update
    @image = Image.find(params[:id])
    @image.item = @item
    if @image.update_attributes(params[:image])
      flash[:notice] = "Successfully updated image."
      redirect_to [ :admin, @image ]
    else
      render :action => 'edit'
    end
  end
  
  def destroy
    @image = Image.find(params[:id])
    @image.destroy
    flash[:notice] = "Successfully destroyed image."
    redirect_to adminimages_url
  end
  
  private

  # retorna o item onde a imagem está ligada
  def get_item    
    @item = params[:item_type].constantize.find(params[:item_id])
  end
end
