class Admin::ShowsController < AdministrationController
  def index
    if params[:q]
      @shows = Show.search(params[:q]).paginate :page => params[:page]
    else
      @shows = Show.paginate :page => params[:page]
    end
  end
  
  def show
    @show = Show.find(params[:id])
  end
  
  def new
    @show = Show.new
  end
  
  def create
    authorize! :create, Show
    @show = Show.new(params[:show])
    @show.seasons_number = 0
    if @show.save
      flash[:notice] = "Série criada com sucesso."
      redirect_to [ :admin, @show ]
    else
      render :action => 'new'
    end
  end
  
  def edit
    @show = Show.find(params[:id])
  end
  
	def update
    authorize! :update, Show
    @show = Show.find(params[:id])
    if @show.update_attributes(params[:show])
      flash[:notice] = "Série editada com sucesso."
      redirect_to [ :admin, @show ]
    else
      render :action => 'edit'
    end
  end
  
  def destroy
    authorize! :destroy, Show
    @show = Show.find(params[:id])
    @show.destroy
    flash[:notice] = "Série excluida com sucesso."
    redirect_to admin_shows_url
  end

  def new_season
    @show = Show.find(params[:id])
    @show.seasons_number += 1
    @show.save
  end

  def destroy_season
    @show = Show.find(params[:id])
    @show.seasons_number -= 1
    @show.save
    redirect_to [ :admin, @show ]
  end
end
