class Admin::UsersController < AdministrationController
  # GET /users
  # GET /users.xml
  def index
    if params[:q]
      @users = User.search(params[:q]).paginate :page => params[:page]
    else
      @users = User.paginate :page => params[:page]
    end

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @users }
    end
  end

  # GET /users/1
  # GET /users/1.xml
  def show
    @user = User.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @user }
    end
  end

  # GET /users/1/edit
  def edit
    @user = User.find(params[:id])
  end

  # PUT /users/1
  # PUT /users/1.xml
  def update
    @user = User.find(params[:id])
    authorize! :update, User
    respond_to do |format|
      if @user.update_attributes(params[:user])
        @user.has_no_roles!
        if params[:roles]
          params[:roles].each do |role|
            @user.has_role! role.to_sym
          end
        end
        format.html { redirect_to([:admin, @user], :notice => 'Cargo(s) atribuido(s) com sucesso!') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @user.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /users/1
  # DELETE /users/1.xml
  def destroy
    @user = User.find(params[:id])
    authorize! :destroy, User
    @user.destroy

    respond_to do |format|
      format.html { redirect_to(admin_users_url) }
      format.xml  { head :ok }
    end
  end
end
