class CommentsController < ApplicationController
  before_filter :get_item, :except => [:destroy]

  def index
    @comments = @item.comments.paginate :page => params[:page], :per_page => Comment.per_page
  end

  def create
    @comment = Comment.new(params[:comment])
    @comment.user = current_user
    @comment.item = @item
    @comment.save
  end

  def destroy
    @comment = Comment.find(params[:id])
    authorize! :destroy, @comment
    @comment.destroy
  end

  private

  # retorna o item onde o comentário se liga
  def get_item
    @item = params[:item_type].constantize.find(params[:item_id])
  end

end
