class EpisodesController < ApplicationController

  before_filter :set_user
  
  def show
    @episode = Episode.find(params[:id])
    @show = @episode.show
    @other_episodes = @show.episodes.from_season(@episode.season_number).where('episodes.id != ?', @episode.id)
  end

  # marca o episódio como visto/não visto
  def seen
    @episode = Episode.find params[:id]
    @episode_view = EpisodeView.find_by_user_id_and_episode_id(current_user.id, @episode.id)
    # se o episódio nunca foi visto antes
    unless @episode_view
      EpisodeView.new(:episode_id => @episode.id, :user_id => current_user.id).save
    else # se o episódio já foi visto
      @episode_view.destroy
    end
  end

end
