class FavoritesController < ApplicationController

  before_filter :require_user

  def index
    @favorites = Favorite.scoped_by_user_id(current_user.id).paginate :page => params[:page]
  end

  def create
    #cria ou recupera o favorito
    @favorite = Favorite.scoped_by_user_id_and_favoritable_id_and_favoritable_type(current_user.id, params[:id], params[:type])
    @favorite = (@favorite.empty? ? Favorite.new : @favorite.first )
    # atualiza/cria o favorito
    @favorite.user = current_user
    @favorite.favoritable = params[:type].constantize.find(params[:id])
    @favorite.favorite_type = params[:category_id]
    @favorite.save

    respond_to do |f|
      f.js
    end
  end

  def destroy
    @favorite = Favorite.from(current_user.id).where(:id => params[:id]).first
    @favorite.destroy
  end
end
