class PostsController < ApplicationController
  before_filter :get_forum
  before_filter :get_topic
  def show
    @topic = Post.find params[:id]
    @posts = @topic.posts.paginate :page => params[:page]
  end

  def new
    @post = Post.new
  end

  def create
    @post = Post.new(params[:post])
    @post.user = current_user
    @post.forum = @forum
    # seta o tópico se for um post
    @post.topic = @topic if @topic
    if @post.save
      redirect_to forum_topic_path(@forum, (@post.topic? ? @post : @post.topic))
    else
      render :new
    end    
  end

  def destroy
    @post = Post.find params[:id]
    authorize! :destroy, @post
    @post.destroy
  end

  def get_forum
    @forum = Forum.find params[:forum_id]
  end

  def get_topic
    @topic = Post.find params[:topic_id] if params[:topic_id]
  end
end
