class UserSessionsController < ApplicationController

  before_filter :require_no_user, :except => [:destroy, :create]
  layout "home"

  def new
    @user_session = UserSession.new
    @user = User.new
  end

  def create
    @user_session = UserSession.new(params[:user_session])
    if @user_session.save
      # checa por bans no usuário
      ban = current_user.is_banned?
      if ban
        # se está banido, destrói a sessão e redireciona para a página de login
        @user_session.destroy
        flash[:notice] = "Sua conta está banida até #{I18n.localize(ban.expires_at, :format => "%d/%m/%Y %H:%M")}"
        redirect_to root_path and return
      end
      # se o login for OK envia para o perfil do usuário
      flash[:notice] = "Login efetuado com sucesso"
      redirect_to user_path(current_user)
    else
      @user = User.new
      render :new
    end
  end

  def destroy
    @user_session = UserSession.find
    @user_session.destroy
    flash[:notice] = "Logout efetuado com sucesso"
    redirect_to root_path
  end
end
