class UsersController < ApplicationController

  before_filter :require_user, :except => [:create]
#  before_filter :set_user, :only => [:show, :friends]
  before_filter :check_user, :only => [:show, :friends]

  def new
    @user_session = UserSession.new
    @user = User.new
  end

  def edit
  end

  def update
    if current_user.update_attributes(params[:user])
      flash[:notice] = "Perfil atualizado com sucesso"
      redirect_to user_path(current_user)
    else
      render :edit
    end
  end
  def create
    @user = User.new(params[:user])
    if @user.save
      redirect_to user_path(current_user)
    else
      @user_session = UserSession.new
      render :new, :layout => "home"
    end
  end

  def show
    @users_with_same_taste = @user.users_with_same_taste
  end

  def check_user
    if params[:id] != current_user.id
      @user = User.find params[:id]
      @profile = true
    else
      @profile = false
    end
  end
  
  def friends
    @friends = @user.friends
  end

  def add_friend
    current_user.add_friend(User.find(params[:id]))
  end

  def remove_friend
    @friend = User.find(params[:id])
    current_user.remove_friend(@friend)
  end
end
