class Ability
  include CanCan::Ability

  def initialize(user)

    can [:destroy], Post do |post|
      (post.user == user) && !post.topic?
    end

    can [:destroy], Comment do |comment|
      (comment.user == user)
    end

    if user.admin?
      can :manage, :all
    else
      if user.has_role? :moderator
        can :manage, Show
        can :manage, Episode
        can :manage, Forum
        can :manage, ForumCategory
        can :manage, Post
        can :manage, Ban
        can :manage, Comment
      end
    end

    can [:destroy], Comment do |comment|
      comment.user == user
    end
  end
end

