class Episode < ActiveRecord::Base
  scope :from_season, lambda { |number| where("episodes.season_number = ?", number).order('episodes.number ASC') }
  belongs_to :show
  has_many :images, :as => :item
  has_many :comments, :as => :item, :order => 'created_at DESC'

  acts_as_rated

  # Validations
  validates_presence_of :show_id, :name, :number, :season_number
end
