TCC::Application.routes.draw do |map|

  match "search(/:q)" => "search#search", :only => :get, :as => :search
  match "ratings" => "ratings#create"

  resources :favorites
  resources :comments
  resources :forums do
    resources :topics, :controller => :posts do
      resources :posts
    end
  end
  resources :shows do
    resources :episodes do
      member do
        post :seen
      end
    end
  end

  match "register" => "users#new", :as => :register
  match "login" => "user_sessions#new", :as => :login
  match "logout" => "user_sessions#destroy", :as => :logout

  resources :users do
    member do
      post :remove_friend
      post :add_friend
      get 'friends' => 'users#friends'
    end
  end
  resources :user_sessions

  namespace :admin do
    resources :bans
    resources :users
    resources :images
    resources :forum_categories
    resources :forums
    resources :shows do
      resources :episodes
      member do
        get :new_season
        delete :destroy_season
      end
    end
    root :to => "home#index"
  end

  root :to => "user_sessions#new"

  # The priority is based upon order of creation:
  # first created -> highest priority.

  # Sample of regular route:
  #   match 'products/:id' => 'catalog#view'
  # Keep in mind you can assign values other than :controller and :action

  # Sample of named route:
  #   match 'products/:id/purchase' => 'catalog#purchase', :as => :purchase
  # This route can be invoked with purchase_url(:id => product.id)

  # Sample resource route (maps HTTP verbs to controller actions automatically):
  #   resources :products

  # Sample resource route with options:
  #   resources :products do
  #     member do
  #       get :short
  #       post :toggle
  #     end
  #
  #     collection do
  #       get :sold
  #     end
  #   end

  # Sample resource route with sub-resources:
  #   resources :products do
  #     resources :comments, :sales
  #     resource :seller
  #   end

  # Sample resource route with more complex sub-resources
  #   resources :products do
  #     resources :comments
  #     resources :sales do
  #       get :recent, :on => :collection
  #     end
  #   end

  # Sample resource route within a namespace:
  #   namespace :admin do
  #     # Directs /admin/products/* to Admin::ProductsController
  #     # (app/controllers/admin/products_controller.rb)
  #     resources :products
  #   end

  # You can have the root of your site routed with "root"
  # just remember to delete public/index.html.
  # root :to => "welcome#index"

  # See how all your routes lay out with "rake routes"

  # This is a legacy wild controller route that's not recommended for RESTful applications.
  # Note: This route will make all actions in every controller accessible via GET requests.
  # match ':controller(/:action(/:id(.:format)))'
end
