# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20101019131206) do

  create_table "bans", :force => true do |t|
    t.integer  "user_id"
    t.integer  "owner_id"
    t.datetime "expires_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "comments", :force => true do |t|
    t.integer  "user_id",    :null => false
    t.integer  "item_id",    :null => false
    t.string   "item_type",  :null => false
    t.text     "body",       :null => false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "episode_views", :force => true do |t|
    t.integer  "episode_id"
    t.integer  "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "episodes", :force => true do |t|
    t.integer  "show_id"
    t.string   "name"
    t.integer  "number"
    t.integer  "season_number"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text     "description"
    t.string   "video"
  end

  create_table "favorite_categories", :force => true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "favorites", :force => true do |t|
    t.integer  "user_id"
    t.integer  "favoritable_id"
    t.string   "favoritable_type"
    t.integer  "favorite_type"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "forum_categories", :force => true do |t|
    t.string   "name"
    t.integer  "position"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "forums", :force => true do |t|
    t.integer  "forum_category_id"
    t.string   "name"
    t.string   "description"
    t.integer  "topics_count"
    t.integer  "posts_count"
    t.integer  "position"
    t.integer  "last_topic_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "friendships", :force => true do |t|
    t.integer  "friend_id"
    t.integer  "buddy_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "friendships", ["friend_id", "buddy_id"], :name => "index_friendships_on_friend_id_and_buddy_id", :unique => true

  create_table "images", :force => true do |t|
    t.integer  "item_id"
    t.string   "item_type"
    t.string   "image_file_name"
    t.string   "image_file_type"
    t.integer  "image_file_size"
    t.datetime "image_update_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "posts", :force => true do |t|
    t.integer  "forum_id"
    t.integer  "user_id"
    t.integer  "topic_id"
    t.string   "title"
    t.string   "body"
    t.integer  "posts_count"
    t.integer  "last_post_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "ratings", :force => true do |t|
    t.integer "rater_id"
    t.integer "rated_id"
    t.string  "rated_type"
    t.decimal "rating",     :precision => 10, :scale => 0
  end

  add_index "ratings", ["rated_type", "rated_id"], :name => "index_ratings_on_rated_type_and_rated_id"
  add_index "ratings", ["rater_id"], :name => "index_ratings_on_rater_id"

  create_table "roles", :force => true do |t|
    t.string   "name"
    t.integer  "authorizable_id"
    t.string   "authorizable_type"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "roles_users", :id => false, :force => true do |t|
    t.integer  "user_id"
    t.integer  "role_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "shows", :force => true do |t|
    t.string   "name"
    t.text     "description"
    t.date     "aired_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "rating_count"
    t.decimal  "rating_total",       :precision => 10, :scale => 0
    t.decimal  "rating_avg",         :precision => 10, :scale => 2
    t.integer  "seasons_number"
    t.string   "image_file_name"
    t.string   "image_content_type"
    t.integer  "image_file_size"
    t.datetime "image_updated_at"
    t.string   "video"
    t.integer  "favorites_count"
  end

  create_table "users", :force => true do |t|
    t.string   "name"
    t.string   "email",                                           :null => false
    t.string   "crypted_password",                                :null => false
    t.string   "password_salt",                                   :null => false
    t.string   "persistence_token",                               :null => false
    t.string   "single_access_token",                             :null => false
    t.string   "perishable_token",                                :null => false
    t.integer  "login_count",                      :default => 0, :null => false
    t.integer  "failed_login_count",               :default => 0, :null => false
    t.datetime "last_request_at"
    t.datetime "current_login_at"
    t.datetime "last_login_at"
    t.string   "current_login_ip"
    t.string   "last_login_ip"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "avatar_file_name"
    t.string   "avatar_content_type"
    t.integer  "avatar_file_size"
    t.datetime "avatar_updated_at"
    t.string   "city"
    t.date     "birth_date_at"
    t.boolean  "banned"
    t.string   "gender",              :limit => 1
  end

end
