module ActiveRecord #:nodoc:
  module Is #:nodoc:

    module Favoritable 
     
      class FavoritableError < RuntimeError; end
      
      def self.included(base) #:nodoc:
        base.extend(ClassMethods)  
      end
      
      module ClassMethods

        def is_favoritable(options = {})
          # don't allow multiple calls
          return if self.included_modules.include?(ActiveRecord::Is::Favoritable::FavoritableMethods)
          send :include, ActiveRecord::Is::Favoritable::FavoritableMethods

          has_many :favorites, :as => :favoritable, :dependent => :destroy

        end
      end

      module FavoritableMethods
      
        def self.included(base) #:nodoc:
          base.extend ClassMethods
        end

        def in_favorite_category?(category, user)
          favorites.scoped_by_user_id_and_favorite_type(user.id, category).first ? true : false
        end

      end  

      module ClassMethods

      end
      
    end
  end
end

