require 'test_helper'

class BansControllerTest < ActionController::TestCase
  def test_index
    get :index
    assert_template 'index'
  end
  
  def test_show
    get :show, :id => Ban.first
    assert_template 'show'
  end
  
  def test_new
    get :new
    assert_template 'new'
  end
  
  def test_create_invalid
    Ban.any_instance.stubs(:valid?).returns(false)
    post :create
    assert_template 'new'
  end
  
  def test_create_valid
    Ban.any_instance.stubs(:valid?).returns(true)
    post :create
    assert_redirected_to ban_url(assigns(:ban))
  end
  
  def test_edit
    get :edit, :id => Ban.first
    assert_template 'edit'
  end
  
  def test_update_invalid
    Ban.any_instance.stubs(:valid?).returns(false)
    put :update, :id => Ban.first
    assert_template 'edit'
  end
  
  def test_update_valid
    Ban.any_instance.stubs(:valid?).returns(true)
    put :update, :id => Ban.first
    assert_redirected_to ban_url(assigns(:ban))
  end
  
  def test_destroy
    ban = Ban.first
    delete :destroy, :id => ban
    assert_redirected_to adminbans_url
    assert !Ban.exists?(ban.id)
  end
end
